<!DOCTYPE html>
<html><head>
<title>eric7.EricWidgets.EricMainWindow</title>
<meta charset="UTF-8">
<link rel="stylesheet" href="styles.css">
</head>
<body>
<a NAME="top" ID="top"></a>
<h1>eric7.EricWidgets.EricMainWindow</h1>
<p>
Module implementing a main window class with styling support.
</p>

<h3>Global Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Classes</h3>
<table>
<tr>
<td><a href="#EricMainWindow">EricMainWindow</a></td>
<td>Class implementing a main window with styling support.</td>
</tr>
</table>

<h3>Functions</h3>
<table>
<tr><td>None</td></tr>
</table>

<hr />
<hr />
<a NAME="EricMainWindow" ID="EricMainWindow"></a>
<h2>EricMainWindow</h2>
<p>
    Class implementing a main window with styling support.
</p>

<h3>Derived from</h3>
QMainWindow
<h3>Class Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr>
<td><a href="#EricMainWindow.__init__">EricMainWindow</a></td>
<td>Constructor</td>
</tr>
<tr>
<td><a href="#EricMainWindow.setStyle">setStyle</a></td>
<td>Public method to set the style of the interface.</td>
</tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<a NAME="EricMainWindow.__init__" ID="EricMainWindow.__init__"></a>
<h4>EricMainWindow (Constructor)</h4>
<b>EricMainWindow</b>(<i>parent=None</i>)
<p>
        Constructor
</p>

<dl>

<dt><i>parent</i> (QWidget)</dt>
<dd>
reference to the parent widget
</dd>
</dl>
<a NAME="EricMainWindow.setStyle" ID="EricMainWindow.setStyle"></a>
<h4>EricMainWindow.setStyle</h4>
<b>setStyle</b>(<i>styleName, styleSheetFile</i>)
<p>
        Public method to set the style of the interface.
</p>

<dl>

<dt><i>styleName</i> (str)</dt>
<dd>
name of the style to set
</dd>
<dt><i>styleSheetFile</i> (str)</dt>
<dd>
name of a style sheet file to read to overwrite
            defaults of the given style
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
</body></html>
